Skip to main content

List mirror topics

GET 

/kafka/v3/clusters/:cluster_id/links/:link_name/mirrors

Generally Available

List all mirror topics under the link

Request

Responses

Metadata of mirror topics

OpenAPI definition (YAML)
paths:
  /kafka/v3/clusters/{cluster_id}/links/{link_name}/mirrors:
    get:
      operationId: listKafkaMirrorTopicsUnderLink
      description: '[![Generally Available](https://img.shields.io/badge/Lifecycle%20Stage-Generally%20Available-%2345c6e8)](#section/Versioning/API-Lifecycle-Policy)


        List all mirror topics under the link'
      tags:
      - Cluster Linking (v3)
      security:
      - resource-api-key: []
      - external-access-token: []
      parameters:
      - name: mirror_status
        description: The status of the mirror topic. If not specified, all mirror topics will be returned.
        in: query
        required: false
        schema:
          enum:
          - ACTIVE
          - FAILED
          - LINK_FAILED
          - LINK_PAUSED
          - PAUSED
          - PENDING_STOPPED
          - SOURCE_UNAVAILABLE
          - STOPPED
          - PENDING_MIRROR
          - PENDING_SYNCHRONIZE
          - PENDING_SETUP_FOR_RESTORE
          - PENDING_RESTORE
          type: string
          title: MirrorTopicStatus
        example: ACTIVE
      - name: cluster_id
        description: The Kafka cluster ID.
        in: path
        required: true
        schema:
          type: string
        example: cluster-1
      - name: link_name
        description: The link name
        in: path
        required: true
        schema:
          type: string
        example: link-sb1
      responses:
        '200':
          description: Metadata of mirror topics
          content:
            application/json:
              schema:
                allOf:
                - type: object
                  required:
                  - kind
                  - metadata
                  properties:
                    kind:
                      type: string
                    metadata:
                      type: object
                      required:
                      - self
                      properties:
                        self:
                          type: string
                        next:
                          type: string
                          nullable: true
                      title: ResourceCollectionMetadata
                  title: ResourceCollection
                - type: object
                  required:
                  - data
                  properties:
                    data:
                      type: array
                      items:
                        allOf:
                        - type: object
                          required:
                          - kind
                          - metadata
                          properties:
                            kind:
                              type: string
                            metadata:
                              type: object
                              required:
                              - self
                              properties:
                                self:
                                  type: string
                                resource_name:
                                  type: string
                                  nullable: true
                              title: ResourceMetadata
                          title: Resource
                        - type: object
                          required:
                          - link_name
                          - mirror_topic_name
                          - source_topic_name
                          - num_partitions
                          - mirror_lags
                          - mirror_status
                          - state_time_ms
                          properties:
                            link_name:
                              type: string
                            mirror_topic_name:
                              type: string
                            source_topic_name:
                              type: string
                            num_partitions:
                              type: integer
                            mirror_lags:
                              type: array
                              items:
                                type: object
                                required:
                                - partition
                                - lag
                                - last_source_fetch_offset
                                properties:
                                  partition:
                                    type: integer
                                  lag:
                                    type: integer
                                    format: int64
                                  last_source_fetch_offset:
                                    type: integer
                                    format: int64
                                title: MirrorLag
                              title: MirrorLags
                            mirror_status:
                              enum:
                              - ACTIVE
                              - FAILED
                              - LINK_FAILED
                              - LINK_PAUSED
                              - PAUSED
                              - PENDING_STOPPED
                              - SOURCE_UNAVAILABLE
                              - STOPPED
                              - PENDING_MIRROR
                              - PENDING_SYNCHRONIZE
                              - PENDING_SETUP_FOR_RESTORE
                              - PENDING_RESTORE
                              type: string
                              title: MirrorTopicStatus
                            mirror_topic_error:
                              type: string
                              enum:
                              - UNKNOWN
                              - NOT_SET
                              - NO_ERROR
                              - SOURCE_TOPIC_MAY_BE_DELETED
                              - SOURCE_TOPIC_ID_CHANGED
                              - SOURCE_PARTITIONS_DECREASED
                              - NON_MONOTONIC_LOG_APPEND_EPOCH
                              - UNEXPECTED_TRUNCATION
                              - UNSUPPORTED_MESSAGE_FORMAT
                              - NON_MONOTONIC_SOURCE_EPOCH
                              - ILLEGAL_STATE
                              - UNSUPPORTED_MIRROR_STATE
                              title: MirrorTopicError
                            state_time_ms:
                              type: integer
                              format: int64
                            mirror_state_transition_errors:
                              type: array
                              items:
                                type: object
                                required:
                                - error_code
                                - error_message
                                properties:
                                  error_code:
                                    type: string
                                  error_message:
                                    type: string
                                title: LinkTaskError
                        title: ListMirrorTopicsResponseData
                title: ListMirrorTopicsResponseDataList
              example:
                kind: KafkaMirrorDataList
                metadata:
                  self: https://pkc-00000.region.provider.confluent.cloud/kafka/v3/clusters/cluster-1/link/link-1/mirrors
                  resource_name: crn:///kafka=cluster-1
                  next: null
                data:
                - kind: KafkaMirrorData
                  metadata:
                    self: https://pkc-00000.region.provider.confluent.cloud/kafka/v3/clusters/Fds7TcT9TTqEXsoRLEKMcQ/links/link-1/mirrors/topic-1
                    resource_name: crn:///kafka=cluster-1
                  link_name: link-sb-1
                  resource_name: crn:///kafka=cluster-1
                  mirror_topic_name: topic-1
                  source_topic_name: topic-1
                  num_partitions: 3
                  mirror_lags:
                  - partition: 0
                    lag: 0
                    last_source_fetch_offset: 0
                  - partition: 1
                    lag: 10000
                    last_source_fetch_offset: 1000
                  - partition: 2
                    lag: 40000
                    last_source_fetch_offset: 12030
                  mirror_status: ACTIVE
                  state_time_ms: 1612550939300
                - kind: KafkaMirrorData
                  metadata:
                    self: https://pkc-00000.region.provider.confluent.cloud/kafka/v3/clusters/Fds7TcT9TTqEXsoRLEKMcQ/links/link-1/mirrors/topic-2
                    resource_name: crn:///kafka=cluster-1
                  link_name: link-sb-2
                  resource_name: crn:///kafka=cluster-1
                  mirror_topic_name: topic-2
                  source_topic_name: topic-2
                  num_partitions: 3
                  mirror_lags:
                  - partition: 0
                    lag: 0
                    last_source_fetch_offset: 0
                  - partition: 1
                    lag: 10000
                    last_source_fetch_offset: 1000
                  - partition: 2
                    lag: 40000
                    last_source_fetch_offset: 12030
                  mirror_status: STOPPED
                  state_time_ms: 1612551353640
        '400':
          description: Indicates a bad request error. It could be caused by an unexpected request body
            format or other forms of request validation failure.
          content:
            application/json:
              schema:
                type: object
                description: Describes a particular error encountered while performing an operation.
                properties:
                  id:
                    description: A unique identifier for this particular occurrence of the problem.
                    type: string
                    maxLength: 255
                  status:
                    description: The HTTP status code applicable to this problem, expressed as a string
                      value.
                    type: string
                  code:
                    description: An application-specific error code, expressed as a string value.
                    type: string
                  title:
                    description: A short, human-readable summary of the problem. It **SHOULD NOT** change
                      from occurrence to occurrence of the problem, except for purposes of localization.
                    type: string
                  detail:
                    description: A human-readable explanation specific to this occurrence of the problem.
                    type: string
                  source:
                    type: object
                    description: If this error was caused by a particular part of the API request, the
                      source will point to the query string parameter or request body property that caused
                      it.
                    properties:
                      pointer:
                        description: A JSON Pointer [RFC6901] to the associated entity in the request
                          document [e.g. "/spec" for a spec object, or "/spec/title" for a specific field].
                        type: string
                      parameter:
                        description: A string indicating which query parameter caused the error.
                        type: string
                  error_code:
                    type: integer
                    format: int32
                  message:
                    type: string
                    nullable: true
                additionalProperties: false
                title: Error
              examples:
                bad_request_cannot_deserialize:
                  description: Thrown when trying to deserialize an integer from non-integer data.
                  value:
                    error_code: 400
                    message: 'Cannot deserialize value of type `java.lang.Integer` from String "A": not
                      a valid `java.lang.Integer` value'
                unsupported_version_exception:
                  description: Thrown when the version of this API is not supported in the underlying
                    Kafka cluster.
                  value:
                    error_code: 40035
                    message: The version of this API is not supported in the underlying Kafka cluster.
        '401':
          description: Indicates a client authentication error. Kafka authentication failures will contain
            error code 40101 in the response body.
          content:
            application/json:
              schema:
                type: object
                description: Describes a particular error encountered while performing an operation.
                properties:
                  id:
                    description: A unique identifier for this particular occurrence of the problem.
                    type: string
                    maxLength: 255
                  status:
                    description: The HTTP status code applicable to this problem, expressed as a string
                      value.
                    type: string
                  code:
                    description: An application-specific error code, expressed as a string value.
                    type: string
                  title:
                    description: A short, human-readable summary of the problem. It **SHOULD NOT** change
                      from occurrence to occurrence of the problem, except for purposes of localization.
                    type: string
                  detail:
                    description: A human-readable explanation specific to this occurrence of the problem.
                    type: string
                  source:
                    type: object
                    description: If this error was caused by a particular part of the API request, the
                      source will point to the query string parameter or request body property that caused
                      it.
                    properties:
                      pointer:
                        description: A JSON Pointer [RFC6901] to the associated entity in the request
                          document [e.g. "/spec" for a spec object, or "/spec/title" for a specific field].
                        type: string
                      parameter:
                        description: A string indicating which query parameter caused the error.
                        type: string
                  error_code:
                    type: integer
                    format: int32
                  message:
                    type: string
                    nullable: true
                additionalProperties: false
                title: Error
              examples:
                kafka_authentication_failed:
                  description: Thrown when using Basic authentication with wrong Kafka credentials.
                  value:
                    error_code: 40101
                    message: Authentication failed
        '429':
          description: Indicates that a rate limit threshold has been reached, and the client should retry
            again later.
          content:
            text/html:
              schema:
                type: string
              example:
                description: A sample response from Jetty's DoSFilter.
                value: <html> <head> <meta http-equiv="Content-Type" content="text/html;charset=utf-8"/>
                  <title>Error 429 Too Many Requests</title> </head> <body> <h2>HTTP ERROR 429 Too Many
                  Requests</h2> <table> <tr> <th>URI:</th> <td>/v3/clusters/my-cluster</td> </tr> <tr>
                  <th>STATUS:</th> <td>429</td> </tr> <tr> <th>MESSAGE:</th> <td>Too Many Requests</td>
                  </tr> <tr> <th>SERVLET:</th> <td>default</td> </tr> </table> </body> </html>
        5XX:
          description: A server-side problem that might not be addressable from the client side. Retriable
            Kafka errors will contain error code 50003 in the response body.
          content:
            application/json:
              schema:
                type: object
                description: Describes a particular error encountered while performing an operation.
                properties:
                  id:
                    description: A unique identifier for this particular occurrence of the problem.
                    type: string
                    maxLength: 255
                  status:
                    description: The HTTP status code applicable to this problem, expressed as a string
                      value.
                    type: string
                  code:
                    description: An application-specific error code, expressed as a string value.
                    type: string
                  title:
                    description: A short, human-readable summary of the problem. It **SHOULD NOT** change
                      from occurrence to occurrence of the problem, except for purposes of localization.
                    type: string
                  detail:
                    description: A human-readable explanation specific to this occurrence of the problem.
                    type: string
                  source:
                    type: object
                    description: If this error was caused by a particular part of the API request, the
                      source will point to the query string parameter or request body property that caused
                      it.
                    properties:
                      pointer:
                        description: A JSON Pointer [RFC6901] to the associated entity in the request
                          document [e.g. "/spec" for a spec object, or "/spec/title" for a specific field].
                        type: string
                      parameter:
                        description: A string indicating which query parameter caused the error.
                        type: string
                  error_code:
                    type: integer
                    format: int32
                  message:
                    type: string
                    nullable: true
                additionalProperties: false
                title: Error
              examples:
                generic_internal_server_error:
                  description: Thrown for generic HTTP 500 errors.
                  value:
                    error_code: 500
                    message: Internal Server Error
      servers:
      - url: https://pkc-00000.region.provider.confluent.cloud
        x-audience: business-unit-internal
        description: Confluent Cloud REST Endpoint. For example https://pkc-00000.region.provider.confluent.cloud